Knowledge Search


×
 

2019-01 Security Bulletin: Junos OS: FreeBSD-SA-15:20.expat : Multiple integer overflows in expat (libbsdxml) XML parser (CVE-2015-1283)

  [JSA10904] Show Article Properties


Product Affected:
This issue affects Junos OS 12.3, 12.3X48, 14.1X53, 15.1, 15.1F, 15.1X49, 15.1X53, 16.1.
Problem:

A numeric error vulnerability exists in the expat XML processing library of Juniper Networks Junos OS which allows a remote unauthenticated attacker to cause an Out of Memory (OoM) or buffer overflow Denial of Service (DoS) condition, potentially with other possible unspecified impacts, through crafted XML data input.

Affected releases are Juniper Networks Junos OS:

  • 12.3 versions prior to 12.3R12-S12;
  • 12.3X48 versions prior to 12.3X48-D76, 12.3X48-D80 on SRX Series;
  • 14.1X53 versions prior to 14.1X53-D48 on EX2200/VC, EX3200, EX3300/VC, EX4200, EX4300, EX4550/VC, EX4600, EX6200, EX8200/VC (XRE), QFX3500, QFX3600, QFX5100;
  • 15.1 versions prior to 15.1R5;
  • 15.1X49 versions prior to 15.1X49-D151, 15.1X49-D160 on SRX Series;
  • 15.1F versions prior to 15.1F6-S12;
  • 15.1X53 versions above 15.1X53-D10 on EX2300, EX3400;
  • 16.1 versions prior to 16.1R2.

Juniper SIRT is not aware of any malicious exploitation of this vulnerability.

Juniper SIRT is aware of a working proof of concept of this vulnerability.

This issue was discovered during an external security research.

This issue has been assigned CVE-2015-1283.

Solution:

The following software releases have been updated to resolve this specific issue: 12.3R12-S12, 12.3X48-D76, 12.3X48-D80, 14.1X53-D48, 15.1R5, 15.1X49-D151, 15.1X49-D160, 15.1F6-S12,16.1R2, 16.2R1, and all subsequent releases.

This issue is being tracked as PR 1188681 which is visible on the Customer Support website.

Note: Juniper SIRT's policy is not to evaluate releases which are beyond End of Engineering (EOE) or End of Life (EOL).

Workaround:

There are no viable workarounds for this issue.

To reduce the risk of exploitation customer may:

Disallow XML scripts to process from untrusted sources.

Implementation:
Software Releases, patches and updates are available at https://www.juniper.net/support/downloads/.
Modification History:
2019-01-09: Initial Publication.
Related Links:
CVSS Score:
7.3 (CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:L/I:L/A:L)
Severity Level:
High
Severity Assessment:
Information for how Juniper Networks uses CVSS can be found at KB 16446 "Common Vulnerability Scoring System (CVSS) and Juniper's Security Advisories."